VISUAL PPP(1)

NAME

	vppp - interfaz grfica de pppd.

SYSNOPSIS

	vppp [-help] [-script name] [-go] [-autokill] \
	     [-exec prog] [-geometry WxH+X+Y] \
             [-iconic] [-hidden]

DESCRIPCIN

	vppp permite crear, modificar, quitar y ejecutar
	scripts de conexin a diferentes provedores de aceso
	IP.
	vppp permite tener un informe grfico del estado de conexin, 
	del tiempo de conexin asi que los parametros IP.
	vppp mantiene tambin un cmulo del tiempo pasado en las conexiones.

OPCIONES

	Si bien vppp es esencialmente una interfaz grfica a pppd, 
	puede tambien ejecutarse en una linea de comando con las siguientes 
	opciones:

	--help :
		muestra una corta ayuda en linea.
	
	--script name :
		usa name como script de conexin.
	
	--go :
		activa la conexin imediatamente.
	
	--exec prog :
		ejecuta prog una vez la conecion hecha.
	
	--autokill :
		cierra automaticamente vppp cuando pppd termina.
	
	--geometry WxH+X+Y :
		usa esa geometra para la ventana principal.
	
	--iconic :
		arranca iconificado.
	
	--hidden :
		esconde la interfaz grfica.

CONFIGURACIN

	Para la creacin o la modificacin de los scripts de conexin,
	tiene que rellenar los campos siguientes:

	Nombre:
		nombre del sitio.

	Fono:
		numero de telfono del provider.

	Frequencia:
		tipo de numeracin del mdem
		(tone/pulse).
	
	Perifrico:
		nombre UNIX ( /dev/xxxx ) del perifrico
		asociado al mdem. No hace faltar precisar 
		el path completo.
	
	Velocidad:
		velocidad de la conexin entre la mquina y el mdem.

	Init mdem:
		comandos (HAYES) de inicializacin del mdem.
	
	Direccion IP:
		direccion IP, por si el provider no la atribuye
		automaticamente.

	Autentificacin por login:
		el sitio pide un login (tipo UNIX) para
		conectarse.
		Se puede entonces darle una serie de cadenas 
		enviadas/esperadas necesaria para efectuar la
		conexin.

	Autentificacin por PAP/CHAP:
		el sitio pide una autentificacin a travs
		del protocolo PAP o CHAP.
		Tenemos entonces que darle los valores a 
		user y password.

	Configuracin DNS
		si es automtica, el servidor ppp la atribuye,
		si es manual el script de conexin usar el 
		nombre de dominio y las direcciones del servidor
		de nombre que le han sido proporcionadas.
		si no esta activada, el script no cambia la
		configuracion DNS del sistema. (puede ser til
		en caso de intranet).

	El boton Scripts permite acceder directamente a la
	edicin de los scripts de conexin.

FICHEROS

	~/.vppprc
		guarda la configuracin del usuario.

	~/.vpppscripts
		archivo donde se guardan los scripts
		de conexin. Es el sitio por defecto que puede
		cambiarse.
		
	/usr/local/lib/vppp/
		archivo que contiene los diferentes ficheros
		usados por vppp.

	/usr/local/lib/vppp/script.proto
		prototipos de scripts.

	/etc/ppp/ip-up.d
		archivo usado por los scripts
		para levantar una conexin.
		
	/etc/ppp/ip-down.d
		archivo usado por los scripts
		para ejecutar la deconexin.

PREREQUISITOS

	vppp requiere tcl/tk 8.0,
	asi que chat y pppd.

VER TAMBIN

	pppd(1) y chat(1).

NOTAS

	vppp no permite de momento de tener una
	interfaz para todos los parametros de pppd.
