/*************************************************
 *
 * root setuid launcher for vppp.tcl
 * with some verification to avoid security hole !
 *
 */

#include <stdio.h>
#include <fcntl.h>

/* HIDDEN verify string 1 = "proc VpppExit" */
char verif1[] = "qspd!WqqqFyju";

/* HIDDEN verify string 2 = "proc GenerateIPUpDownScripts" */
char verif2[] = "qspd!HfofsbufJQVqEpxoTdsjqut";

main(int ac , char *av[] )
{
  char pgm[1024];
  char rpgm[1024];
  char path[1024];
  char ver1[128],ver2[128];
  char *px[256];
  int i, j, res;
  FILE *fd;

  strcpy(pgm, av[0]);
  strcat(pgm, ".tcl");

  if ( pgm[0] != '/' && strncmp(pgm, "../",3) != 0 && strncmp(pgm, "./",2) != 0 ) {
    /* we do not have a fully qualified path , search PATH environment */
    strncpy(path, getenv("PATH"), 1024);
    i = j = 0;
    px[i++]=&path[0];
    while ( path[j] != 0 ) {
      if ( path[j] == ':' ) {
	path[j] = 0;
	j++;
	px[i++] = &path[j];
      } else {
	j++;
      }
    }
    for ( j = 0; j < i; j++) {
      strcpy(rpgm, px[j]);
      strcat(rpgm, "/");
      strcat(rpgm, pgm);
      res = open(rpgm,O_RDONLY);
      if ( res != -1 ) {
	close(res);
	break;
      }
    }
    if ( j == i ) {
      printf("cannot find vppp tcl program\n");
      exit(1);
    }

  } else {

    /* we have a fully qualified path */
    strcpy(rpgm, pgm);
  }

  /* testing vppp tcl script validity */

  strcpy(ver1, verif1);
  for ( i=0; ver1[i]!=0; i++) {
    ver1[i] -= 1;
  }
  strcpy(ver2, verif2);
  for ( i=0; ver2[i]!=0; i++) {
    ver2[i] -= 1;
  }

  fd = fopen(rpgm,"r");
  if ( fd == NULL ) {
    printf("cannot open vppp tcl program\n");
    exit(1); 
  }
  res = 0;
  while ( fgets(path, 1024, fd) != NULL ) {      /* reuse path */
    if ( strncmp(path, ver1, strlen(ver1)) == 0 ) {
      res++;
    }
    if ( strncmp(path, ver2, strlen(ver2)) == 0 ) {
      res++;
    }
  }
  fclose(fd);
  if ( res != 2 ) {
    printf("invalid vppp tcl program\n");
    exit(1); 
  }

  /* execute vppp tcl script as root */

  setreuid(0, 0);

  av[0] = rpgm;
  execv(rpgm, av);

  perror("exec");
}


